ELINKS(1)

NAME
elinks - lynx-like alternative character mode WWW browser

SYNOPSIS
elinks [ options ] url

DESCRIPTION

ELinks is a text mode WWW browser, supporting colors, table rendering, background downloading, menu driven configuration interface, tabbed browsing and slim code.

Frames are supported. You can have different file formats associated with external viewers. mailto: and telnet: are supported via external clients.

ELinks can handle local (file://) or remote (http://, ftp:// or https:// if there's compiled-in SSL support) URLs. It has also basic support for finger:.

OPTIONS

Most options can be set in the user interface or config file, so usually you do not need to care about them. Note that this list is by no means complete and it is not kept up-to-date. To get complete list of commandline options, start ELinks with parameter --help.

-anonymous [0|1] (default: 0)
    Restrict ELinks so that it can run on an anonymous account. No local file browsing, no downloads. Execution of viewers is allowed, but user can't add or modify entries in association table.

-auto-submit [0|1] (default: 0)
    Go and submit the first form you'll stumble upon.

-base-session <num> (default: 0)
    ID of session (ELinks instance) which we want to clone. This is internal ELinks option, you don't want to use it.

-confdir <str> (default: "")
    Set the config dir to the given path. ELinks will read its config files and writes to it. If the path begins with a '/' its used as an absolute path. Else it is assumed to be relative to your HOME dir.

-conffile <str> (default: "elinks.conf")
    Name of the file with configuration, from which and to which all the configuration shall be written. It should be relative to confdir.

-default-mime-type (alias for mime.default_type)
    Default MIME type to assume for documents of unknown type.

-dump [0|1] (default: 0)
    Write a plain-text version of the given HTML document to stdout.

-dump-charset (alias for document.dump.codepage)
    Codepage used in dump output.

-dump-width (alias for document.dump.width)
    Width of the dump output.

-eval
    Specify elinks.conf config options on the command-line: -eval 'set protocol.file.allow_special_files = 1'

-force-html
    This makes ELinks assume that the files it sees are HTML. This is equivalent to -default-mime-type text/html.

-?, -h, -help
    Print usage help and exit.

-long-help
    Print detailed usage help and exit.

-config-help
    Print help on configuration options and exit.

-lookup
    Look up specified host.

-no-connect [0|1] (default: 0)
    Run ELinks as a separate instance instead of connecting to an existing instance. Note that normally no runtime state files (bookmarks, history and so on) are written to the disk when this option is used. See also -touch-files.

-no-home [0|1] (default: 0)
    Don't attempt to create and/or use home rc directory (~/.elinks).

-session-ring <num> (default: 0)
    ID of session ring this ELinks session should connect to. ELinks works in so-called session rings, whereby all instances of ELinks are interconnected and share state (cache, bookmarks, cookies, and so on). By default, all ELinks instances connect to session ring 0. You can change that behaviour with this switch and form as many session rings as you want. Obviously, if the session-ring with this number doesn't exist yet, it's created and this ELinks instance will become the master instance (that usually doesn't matter for you as a user much). Note that you usually don't want to use this unless you're a developer and you want to do some testing - if you want the ELinks instances each running standalone, rather use the -no-connect command-line option. Also note that normally no runtime state files are written to the disk when this option is used. See also -touch-files.

-source [0|1] (default: 0)
    Write the given HTML document in source form to stdout.

-stdin [0|1] (default: 0)
    Open stdin as an HTML document - this is fully equivalent to: -eval 'set protocol.file.allow_special_files = 1' file:///dev/stdin Use whichever suits you more ;-). Note that reading document from stdin WORKS ONLY WHEN YOU USE -dump OR -source!! (I would like to know why you would use -source -stdin, though ;-)

-touch-files [0|1] (default: 0)
    Set to 1 to have runtime state files (bookmarks, history, ...) changed even when -no-connect or -session-ring is used; has no effect if not used in connection with any of these options.

-version
    Print ELinks version information and exit.

ENVIRONMENT VARIABLES

ELinks uses the following environments variables.

COMSPEC, SHELL
    The shell used for File -> OS Shell on DOS/Windows and UNIX, respectively.

EDITOR
    The program to use for external editor (when editing textareas).

ELINKS_CONFDIR
    The location of the directory containing configuration files. If not set the default is ~/.elinks/.

ELINKS_TWTERM , LINKS_TWTERM
    The command to run when selecting File -> New window and if TWDISPLAY is defined (default twterm -e)

ELINKS_XTERM , LINKS_XTERM
    The command to run when selecting File -> New window and if DISPLAY is defined (default xterm -e)

FTP_PROXY, HTTP_PROXY, HTTPS_PROXY
    The host to proxy the various protocol traffic through.

HOME
    The path to the users home directory. Used when expanding ~/.

WWW_HOME
    Homepage location (as in lynx(1))

FILES

/etc/elinks.conf
    Site-wide configuration file.

~/.elinks/elinks.conf
    Per-user config file, loaded after site-wide configuration.

~/.elinks/bookmarks
    Bookmarks file

~/.elinks/cookies
    Cookies file

~/.elinks/formhist
    Form history file

~/.elinks/gotohist
    GoTo URL dialog history file

~/.elinks/globhist
    History file containing last 4096 URLs visited

~/.elinks/searchhist
    Search history file

~/.elinks/socket
    Internal ELinks socket for communication between its instances.

PLATFORMS

ELinks is known to work on Linux, FreeBSD, OpenBSD, Solaris, IRIX, HPUX, Digital Unix, AIX, OS/2, BeOS and RISC OS. Port for Win32 is in state of beta testing.

BUGS

See the BUGS file coming with ELinks distribution tarball for list of known bugs.

Please report any other bugs you find to the ELinks mailing list elinks-users@linuxfromscratch.org <URL:http://elinks.or.cz/community.html> or the bug system <URL:http://bugzilla.elinks.or.cz/>.

LICENSE

ELinks is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHORS

Links was written by Mikulas Patocka <mikulas@artax.karlin.mff.cuni.cz>. ELinks - which is based on Links - was written by a team around Petr Baudis <pasky@ucw.cz>. See file AUTHORS in the source tree for a list of people contributing to this project.

The homepage of ELinks can be found at http://elinks.or.cz/ <URL:http://elinks.or.cz>

This manual page was written by Peter Gervai <grin@tolna.net>, using excerpts from a (yet?) unknown Links fan for the Debian GNU/Linux system (but may be used by others). Contributions from Francis A. Holop. Extended, clarified and made more up-to-date by Petr Baudis <pasky@ucw.cz>. Updated by Zas <zas@norz.org>. The conversion to DocBook for ELinks 0.5 and trimming was done by Jonas Fonseca <fonseca@diku.dk>.

SEE ALSO

elinkskeys(5), elinks.conf(5), links(1), lynx(1), w3m(1), wget(1)